map: Get map data for bounding box

API: openstreetmap.org:openstreetmap-api
Endpoint: /map
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 336ms

Description

Returns all nodes that are inside a given bounding box and any relations that reference them. Also returns all ways that reference at least one node that is inside the bounding box, and relations that reference those ways.

Parameters (1)

bbox (string, query, required)

Bounding box as left,bottom,right,top (min_lon,min_lat,max_lon,max_lat) in WGS84 degrees

Constraints: {'pattern': '^(-?[0-9]+.?[0-9]*),(-?[0-9]+.?[0-9]*),(-?[0-9]+.?[0-9]*),(-?[0-9]+.?[0-9]*)$'}

Examples (2)

Get map data for bounding box openapi-spec
curl 'https://api.openstreetmap.org/api/0.6/map?bbox=13.3988%2C52.5094%2C13.4010%2C52.5100'
import requests

resp = requests.get(
    "https://api.openstreetmap.org/api/0.6/map",
    params={
        'bbox': '13.3988,52.5094,13.4010,52.5100',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("map", bbox="13.3988,52.5094,13.4010,52.5100")

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/map?bbox=13.3988%2C52.5094%2C13.4010%2C52.5100");
const data = await resp.json();
Get map data for bounding box probe-gate
curl 'https://api.openstreetmap.org/api/0.6/map?bbox=13.3988%2C52.5094%2C13.4010%2C52.5100'
import requests

resp = requests.get(
    "https://api.openstreetmap.org/api/0.6/map",
    params={
        'bbox': '13.3988,52.5094,13.4010,52.5100',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("map", bbox="13.3988,52.5094,13.4010,52.5100")

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/map?bbox=13.3988%2C52.5094%2C13.4010%2C52.5100");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:09:22.399463 200 336ms
2026-04-16 00:14:41.605413 200 302ms
2026-04-15 02:22:27.934574 200 334ms
2026-04-15 00:41:18.051017 200 306ms
2026-04-14 03:28:13.775539 200 473ms
2026-04-14 01:41:44.559039 200 323ms
2026-04-12 15:52:19.369735 200 358ms
2026-04-12 15:01:36.776748 200 381ms
2026-04-10 02:27:10.446990 200 363ms
2026-04-09T18:50:45.717673 200 249ms